Subject: bug#42301: [PATCH] gnu: solfage: fix build.

From: Michael Rohleder <[email-masked]>
Date: Sun, 09 Aug 2020 18:36:11 +0200

Hi!

Nicolas Goaziou <[email-masked]> writes:
> Thank you. Unfortunately, the build fails later on with the following
> unrelated message, probably related to the latest Lilypond release:
>
>     fatal error: Uninitialized variable `write-performances-midis' in module (lily)
>

This is interesting, I can't reproduce this, it builds (and runs) fine here.
Are you using a newer version of lilypond? (here, its 2.20.0 from current master)

> Besides, you are adding this snippet to an unrelated phase, about Python
> wrapping.

Added a phase 'patch-readme:

From 3e6a637fcacb990291fb8a8b7e03e18be15bd644 Mon Sep 17 00:00:00 2001
From: Michael Rohleder <[email-masked]>
Date: Sun, 9 Aug 2020 18:26:25 +0200
Subject: [PATCH] gnu: solfege: fix build.

* gnu/packages/music.scm (solfege): fix build (http://issues.guix.gnu.org/42301).
---
 gnu/packages/music.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index db2f1ff8d6..f788d93b65 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -1362,6 +1362,12 @@ re-sequencer LV2 plugin.")
                             "solfege/presetup.py")
                (("#!/usr/bin/python") (string-append "#!" (which "python"))))
              #t))
+         ;; fix build, see https://issues.guix.gnu.org/42301
+         (add-before 'build 'patch-readme
+           (lambda _
+             (with-fluids ((%default-port-encoding "ISO-8859-1"))
+               (substitute* '("README") (("Malm.") "Malmoe")))
+             #t))
          (add-before 'build 'add-sitedirs
            ;; .pth files are not automatically interpreted unless the
            ;; directories containing them are added as "sites".  The directories
-- 
2.28.0

>
> BTW, would it make sense to provide 3.23.4 release instead? It is
> a development version, but development has stalled anyway. Also, it
> relies on Python 3 intead of Python 2.
>
> I tried to update it with the following source:
>
>      (origin
>        (method url-fetch)
>        (uri (string-append "http://alpha.gnu.org/gnu/solfege/solfege-"
>                            version ".tar.gz"))
>        (sha256
>         (base32 "0sc17vf4xz6gy0s0z9ghi68yskikdmyb4gdaxx6imrm40734k8mp")))
>
> but it fails in the same way.
>
> WDYT?

idk.
I haven't tried building it, because I think, we should first solve that
"fatal error: Uninitialized variable `write-performances-midis' in
module (lily)" error you get and I cant reproduce...

Regards,

-- 
Ein Hamsterrad sieht von innen aus
wie eine Karriereleiter.